**********************************************************************
*Name: David Lewis and Paul Oh
*Date: July 9, 2006
*Dataset: militaryleadership.  This is subset of bptwstackedongoing.
*Description: This is a batch file for the military management project
***********************************************************************
use militaryleadership

generate politpct=((cat55+cat44+catex)/managers)*100
generate politsq=politpct*politpct
generate lnemp=ln(employment)
generate lnman=ln(managers)
generate thickness=managers/employment
generate NonCareerSES=0
replace NonCareerSES=1 if appt=="NA"
generate PAS=0
replace PAS=1 if appt=="PAS"
generate appointee=0
replace appointee=1 if NonCareerSES==1
replace appointee=1 if PAS==1
replace appointee=1 if appt=="Schedule C"
generate Career=0
replace Career=1 if appt=="CA"
generate aloc=0
replace aloc=1 if bureau=="All Other Components"
generate dod=0
replace dod=1 if mildept=="DOD"
generate army=0
replace army=1 if mildept=="Army"
generate navy=0
replace navy=1 if mildept=="Navy"
generate airforce=0
replace airforce=1 if mildept=="Air Force"
tab year, generate(y)

*graph bar (mean) best, over(mildept) title ("Best Places to Work Index by Military Department") ytitle ("BPTW Index")
*more
*graph bar (mean) effective, over(mildept) title ("Evaluations of Effective Leadership by Military Department") ytitle("Effective Leadership Index")
*more
*graph bar (mean) strategic, over(mildept) title ("Evaluations of Strategic Management by Military Department") ytitle("Strategic Management Index")
*more


*OK, so let's look at this for specific questions.  PPS says the data has undergone weighting so that the agency by agency
*values should be OK.

*I start here with the questions that are identical in the two years.

*I recommend my organization as a good place to work (13, 8)
generate recommend=y04q8 if y2==1
replace recommend=y02q13 if y1==1

*graph bar (mean) recommend, over(mildept) title ("Would you recommend your organization as a place to work?") ytitle("% Answering Yes")
*more

*How would you rate your organization as an organization to work for compared to other organizations (62,11)?
generate compare=y04q11 if y2==1
replace compare=y02q62 if y1==1

*graph bar (mean) compare, over(mildept) title ("How Would You Rate Your Organization Compared to Others?") 
*more
*In my organization, leaders generate high levels of motivation and commitment in the workforce (20, 40)
generate motivation=y04q40 if y2==1
replace motivation=y02q20 if y1==1

*graph bar (mean) motivation, over(mildept) title ("Leaders Generate High Levels of Motivation and Commitment") ytitle("% Answering Yes")
*more

*Managers review and evaluate the organization's progress toward meeting its goals and objectives (2, 43)
generate mreview =y04q43 if y2==1
replace mreview=y02q2 if y1==1

*graph bar (mean) mreview, over(mildept) title ("Managers Review and Evaluate the Organization's Progress") ytitle("% Answering Yes")
*more

*The workforce has the job-relevant knowledge and skills necessary to accomplish organizational goals (7, 12)
generate jknowledge=y02q7 if y1==1
replace jknowledge=y04q12 if y2==1 

*graph bar (mean) jknowledge, over(mildept) title ("Workforce Has the Job-Relevant Knowledge Necessary") ytitle("% Answering Yes")
*more

*I am given a real opportunity to improve my skills in my organization (52, 2)
generate skills=y02q52 if y1==1
replace skills=y04q2 if y2==1

*graph bar (mean) skills, over(mildept) title ("Opportunity to Improve My Skills") ytitle("% Answering Yes")

*sort mildept
*by mildept: summarize recommend compare motivation mreview jknowledge skills

**Now I move on to those questions with different question wordings and smaller samples.

**Respect for Senior Leaders in Organization
*I hold my organization's leaders in high regard.
*graph bar (mean) y02q23, over(mildept) title ("I Hold My Organization's Leaders in High Regard, 2002")ytitle("% Answering Yes")
generate highregard02=y02q23
*more

*I have a high level of respect for my organization's senior leaders (xx, 39)
*graph bar (mean) y04q39, over(mildept) title ("High Level of Respect for My Organization's Senior Leaders, 2004")ytitle("% Answering Yes")
generate highrespect04=y04q39
*more

*Now I check to see if they are comparable.
summarize highregard02 highrespect04
corr highrespect04 motivation
corr highregard02 motivation
generate respect=highrespect04 if y2==1
replace respect=highregard02 if y1==1
more

*graph bar (mean) respect, over(mildept) title ("High Level of Respect for My Organization's Senior Leaders")ytitle("% Answering Yes")

*Satisfaction with job (xx, 65)
*graph bar (mean) y04q65, over(mildept) title ("Satisfaction with Job, 2004")ytitle("% Answering Yes")
generate satisfaction04=y04q65
*more

*Considering everything, how satisfied are you with your job (68, xx)
*graph bar (mean) y02q68, over(mildept) title ("Satisfaction with Job, 2002")ytitle("% Answering Yes")
generate satisfaction02=y02q68
*more

*Satisfaction with organization at the present time (xx, 67)"
*graph bar (mean) y04q67, over(mildept) title ("Satisfaction with Organization at Present, 2004")ytitle("% Answering Yes")
generate satisfactionpresent04=y04q67
*more

*Considering everything, how would you rate your overall satisfaction in your organization at the present time (69, xx)?"
*graph bar (mean) y02q69, over(mildept) title ("Satisfaction with Organization at Present, 2002")ytitle("% Answering Yes")
generate satisfactionpresent02=y02q69
*more

*Managers promote communication among different work units (xx, 55)
*graph bar (mean) y04q55, over(mildept) title ("Managers Promote Communication, 2004")ytitle("% Answering Yes")
generate communication04=y04q55
*more

*Managers promote communication among different work units (for example, about projects, goals, needed resources) (50, xx)"
*graph bar (mean) y02q50, over(mildept) title ("Managers Promote Communication, 2002")ytitle("% Answering Yes")
generate communication02=y02q50

*Now combine communication
generate communication= communication02 if y1==1
replace communication=communication04 if y2==1
summarize communication02 communication04 communication
corr communication02 jknowledge
corr communication04 jknowledge
corr communication02 recommend
corr communication04 recommend
more
*graph bar (mean) communication, over(mildept) title ("Managers Promote Communication")ytitle("% Answering Yes")


*sort mildept
*by mildept: summarize  respect motivation mreview jknowledge communication recommend compare
more

**First, leadership regressions. Reestimate without acting persons since big drop in cases.**
reg motivation army navy airforce appointee war lnemp thickness y1
hettest
more
rvfplot
more
predict rstud1, rstudent
stem rstud1
summarize rstud1, detail
more
kdensity rstud1, normal
more
lvr2plot, mlabel(code)
reg motivation army navy airforce appointee war lnemp thickness y1 if rstud1>-4, cluster(code)
reg motivation army navy airforce appointee war lnemp thickness y1, cluster(code)
test army=navy
test navy=airforce
test airforce=army
more

reg respect army navy airforce appointee war lnemp thickness y1 
hettest
more
rvfplot
more
predict rstud2, rstudent
stem rstud2
summarize rstud2, detail
more
kdensity rstud2, normal
more
lvr2plot, mlabel(code)
more
reg respect army navy airforce appointee war lnemp thickness y1 if rstud2>-4,cluster(code)
reg respect army navy airforce appointee war lnemp thickness y1 ,cluster(code)

test army=navy
test navy=airforce
test airforce=army
reg highregard02 army navy airforce appointee war lnemp thickness
reg highrespect04 army navy airforce appointee war lnemp thickness
more

**Second, management regressions.**
reg mreview army navy airforce appointee war lnemp thickness y1 
hettest
more
rvfplot
more
predict rstud5, rstudent
stem rstud5
summarize rstud5, detail
more
kdensity rstud5, normal
more
lvr2plot, mlabel(code)
more
reg mreview army navy airforce appointee war lnemp thickness y1 if rstud5<3, cluster(code)
reg mreview army navy airforce appointee war lnemp thickness y1 , cluster(code)
test army=navy
test navy=airforce
test airforce=army
more

reg jknowledge army navy airforce appointee war lnemp thickness y1
hettest
more
rvfplot
more
predict rstud6, rstudent
stem rstud6
summarize rstud6, detail
more
kdensity rstud6, normal
more
lvr2plot, mlabel(code)
more
reg jknowledge army navy airforce appointee war lnemp thickness y1 if rstud6<3, cluster(code)
reg jknowledge army navy airforce appointee war lnemp thickness y1, cluster(code)
test army=navy
test navy=airforce
test airforce=army
more

reg skills army navy airforce appointee war lnemp thickness y1
hettest
more
rvfplot
more
predict rstud7, rstudent
stem rstud7
summarize rstud7, detail
more
kdensity rstud7, normal
more
lvr2plot, mlabel(code)
more
reg skills army navy airforce appointee war lnemp thickness y1, cluster(code)
test army=navy
test navy=airforce
test airforce=army
more

reg communication army navy airforce appointee war lnemp thickness y1
hettest
more
rvfplot
more
predict rstud8, rstudent
stem rstud8
summarize rstud8, detail
more
kdensity rstud8, normal
more
lvr2plot, mlabel(code)
more
reg communication army navy airforce appointee war lnemp thickness y1 , cluster(code)


test army=navy
test navy=airforce
test airforce=army
reg communication02 army navy airforce appointee war lnemp thickness
reg communication04 army navy airforce appointee war lnemp thickness
more

**Third, work climate**
reg recommend army navy airforce appointee war lnemp thickness y1 
hettest
more
rvfplot
more
predict rstud3, rstudent
stem rstud3
summarize rstud3, detail
more
kdensity rstud3, normal
more
lvr2plot, mlabel(code)
more
reg recommend army navy airforce appointee war lnemp thickness y1, cluster(code)
test army=navy
test navy=airforce
test airforce=army
more

reg compare army navy airforce appointee war lnemp thickness y1
hettest
more
rvfplot
more
predict rstud4, rstudent
stem rstud4
summarize rstud4, detail
more
kdensity rstud4, normal
more
lvr2plot, mlabel(code)
more
reg compare army navy airforce appointee war lnemp thickness y1, cluster(code)
test army=navy
test navy=airforce
test airforce=army
more

*For commissioning source the codes are 0-noncommissioned, 1-Academy, 2-ROTC, 3-OCS, 4-Direct and only one direct commission so
*it should be excluded probably.

generate edlevel=1
replace edlevel=0 if edmil=="BA"
replace edlevel=2 if edmil=="PHD"

tab comms, generate(c)
tab edlevel, generate (e)
generate polexp=0
replace polexp=1 if political>0


**Basic Specification for Table 4
reg respect rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1
hettest
more
rvfplot
more
predict rstud14, rstudent
stem rstud14
summarize rstud14, detail
more
kdensity rstud14, normal
more
lvr2plot, mlabel(code)
reg respect rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1 if rstud14<3, cluster(code)
reg respect rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1, cluster(code)
reg highregard02 rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee, cluster(code)
reg highrespect04 rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee, cluster(code)

more

reg motivation rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1
hettest
more
rvfplot
more
predict rstud15, rstudent
stem rstud15
summarize rstud15, detail
more
kdensity rstud15, normal
more
lvr2plot, mlabel(code)
reg motivation rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1 if rstud15<3, cluster(code)
reg motivation rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1, cluster(code)
more

reg mreview rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1
hettest
more
rvfplot
more
predict rstud16, rstudent
stem rstud16
summarize rstud16, detail
more
kdensity rstud16, normal
more
lvr2plot, mlabel(code)
reg mreview rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1 if code~="AF0D"&code~="DD21"&code~="AF0U"&code~="ARAE", cluster(code)
reg mreview rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1, cluster(code)
more

reg jknow rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1
hettest
more
rvfplot
more
predict rstud17, rstudent
stem rstud17
summarize rstud17, detail
more
kdensity rstud17, normal
more
lvr2plot, mlabel(code)
reg jknow rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1, cluster(code)
more

reg communication rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1
hettest
more
rvfplot
more
predict rstud18, rstudent
stem rstud18
summarize rstud18, detail
more
kdensity rstud18, normal
more
lvr2plot, mlabel(code)
reg communication rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1 if rstud18<3, robust
reg communication rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1, cluster(code)
more

reg recommend rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1
hettest
more
rvfplot
more
predict rstud19, rstudent
stem rstud19
summarize rstud19, detail
more
kdensity rstud19, normal
more
lvr2plot, mlabel(code)
reg recommend rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1 if rstud19>-3, cluster(code)
reg recommend rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1, cluster(code)
more

reg compare rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1
hettest
more
rvfplot
more
predict rstud20, rstudent
stem rstud20
summarize rstud20, detail
more
kdensity rstud20, normal
more
lvr2plot, mlabel(code)
reg compare rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1 if rstud20>-3, robust
reg compare rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1, cluster(code)
more


*Appendix B. Models that separate out different types of political experience.
reg respect rank tenure e2 e3 milwhite milcon polappt combat c2 c3 c4 private lnemp thickness warf appointee y1, cluster(code)
reg motivation rank tenure e2 e3 milwhite milcon polappt combat c2 c3 c4 private lnemp thickness warf appointee y1, cluster(code)
reg mreview rank tenure e2 e3 milwhite milcon polappt combat c2 c3 c4 private lnemp thickness warf appointee y1, cluster(code)
reg jknow rank tenure e2 e3 milwhite milcon polappt combat c2 c3 c4 private lnemp thickness warf appointee y1, cluster(code)
reg communication rank tenure e2 e3 milwhite milcon polappt combat c2 c3 c4 private lnemp thickness warf appointee y1, cluster(code)
reg recommend rank tenure e2 e3 milwhite milcon polappt combat c2 c3 c4 private lnemp thickness warf appointee y1, cluster(code)
reg compare rank tenure e2 e3 milwhite milcon polappt combat c2 c3 c4 private lnemp thickness warf appointee y1, cluster(code)
more

*Now with miltenure rather than rank.
reg respect miltenure tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1, cluster(code)
reg motivation miltenure tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1, cluster(code)
reg mreview rank miltenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1, cluster(code)
reg jknow rank miltenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1, cluster(code)
reg communication miltenure tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1, cluster(code)
reg recommend rank miltenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1, cluster(code)
reg compare rank miltenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1, cluster(code)

*Now with commissioned rather than rank.
generate coms=0
replace coms=1 if milserv==1
reg respect coms tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1, cluster(code)
reg motivation coms tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1, cluster(code)
reg mreview coms tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1, cluster(code)
reg jknow coms tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1, cluster(code)
reg communication coms tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1, cluster(code)
reg recommend coms tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1, cluster(code)
reg compare coms tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1, cluster(code)

*Now with controls for service.
reg respect rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1 army navy airforce, cluster(code)
reg motivation rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1 army navy airforce, cluster(code)
reg mreview rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1 army navy airforce, cluster(code)
reg jknow rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1 army navy airforce, cluster(code)
reg communication rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1 army navy airforce, cluster(code)
reg recommend rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1 army navy airforce, cluster(code)
reg compare rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1 army navy airforce, cluster(code)

*Now with more cases by excluding lnemp and thickness.
reg respect rank tenure e2 e3 polexp combat c2 c3 c4 private warf appointee y1, cluster(code)
reg motivation rank tenure e2 e3 polexp combat c2 c3 c4 private warf appointee y1, cluster(code)
reg mreview rank tenure e2 e3 polexp combat c2 c3 c4 private warf appointee y1, cluster(code)
reg jknow rank tenure e2 e3 polexp combat c2 c3 c4 private warf appointee y1, cluster(code)
reg communication rank tenure e2 e3 polexp combat c2 c3 c4 private warf appointee y1, cluster(code)
reg recommend rank tenure e2 e3 polexp combat c2 c3 c4 private warf appointee y1, cluster(code)
reg compare rank tenure e2 e3 polexp combat c2 c3 c4 private warf appointee y1, cluster(code)

*Now with types of education.
generate mdjd=0
replace mdjd=1 if md==1|jd==1
reg respect rank tenure e3 ma ms mba mpa mdjd polexp combat c2 c3 c4 private lnemp thickness warf appointee y1, cluster(code)
reg motivation rank tenure e3 ma ms mba mpa mdjd polexp combat c2 c3 c4 private lnemp thickness warf appointee y1, cluster(code)
reg mreview rank tenure e3 ma ms mba mpa mdjd polexp combat c2 c3 c4 private lnemp thickness warf appointee y1, cluster(code)
reg jknow rank tenure e3 ma ms mba mpa mdjd polexp combat c2 c3 c4 private lnemp thickness warf appointee y1, cluster(code)
reg communication rank tenure e3 ma ms mba mpa mdjd polexp combat c2 c3 c4 private lnemp thickness warf appointee y1, cluster(code)
reg recommend rank tenure e3 ma ms mba mpa mdjd polexp combat c2 c3 c4 private lnemp thickness warf appointee y1, cluster(code)
reg compare rank tenure e3 ma ms mba mpa mdjd polexp combat c2 c3 c4 private lnemp thickness warf appointee y1, cluster(code)
more

*Now with combat*warfighting
generate warcom=warfighting*combat
reg respect rank tenure e2 e3 polexp combat warcom c2 c3 c4 private lnemp thickness warf appointee y1, cluster(code)
reg motivation rank tenure e2 e3 polexp combat warcom  c2 c3 c4 private lnemp thickness warf appointee y1, cluster(code)
reg mreview rank tenure e2 e3 polexp combat warcom c2 c3 c4 private lnemp thickness warf appointee y1, cluster(code)
reg jknow rank tenure e2 e3 polexp combat warcom c2 c3 c4 private lnemp thickness warf appointee y1, cluster(code)
reg communication rank tenure e2 e3 polexp combat warcom c2 c3 c4 private lnemp thickness warf appointee y1, cluster(code)
reg recommend rank tenure e2 e3 polexp combat warcom c2 c3 c4 private lnemp thickness warf appointee y1, cluster(code)
reg compare rank tenure e2 e3 polexp combat warcom c2 c3 c4 private lnemp thickness warf appointee y1, cluster(code)

*Now excluding all other components
reg respect rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1 if aloc==0, cluster(code)
reg motivation rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1 if aloc==0, cluster(code)
reg mreview rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1 if aloc==0, cluster(code)
reg jknow rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1 if aloc==0, cluster(code)
reg communication rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1 if aloc==0, cluster(code)
reg recommend rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1 if aloc==0, cluster(code)
reg compare rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1 if aloc==0, cluster(code)

*Now excluding acting personnel
reg respect rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1 if acting==0, cluster(code)
reg motivation rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1 if acting==0, cluster(code)
reg mreview rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1 if acting==0, cluster(code)
reg jknow rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1 if acting==0, cluster(code)
reg communication rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1 if acting==0, cluster(code)
reg recommend rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1 if acting==0, cluster(code)
reg compare rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1 if acting==0, cluster(code)

*Now without the marines
reg respect army navy airforce appointee war lnemp thickness y1 if code~="MR27", cluster(code)
reg motivation army navy airforce appointee war lnemp thickness y1 if code~="MR27", cluster(code)
reg mreview army navy airforce appointee war lnemp thickness y1 if code~="MR27", cluster(code)
reg jknow army navy airforce appointee war lnemp thickness y1 if code~="MR27", cluster(code)
reg communication army navy airforce appointee war lnemp thickness y1 if code~="MR27", cluster(code)
reg recommend army navy airforce appointee war lnemp thickness y1 if code~="MR27", cluster(code)
reg compare army navy airforce appointee war lnemp thickness y1 if code~="MR27", cluster(code)
more

reg respect rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1 if code~="MR27", cluster(code)
reg motivation rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1 if code~="MR27", cluster(code)
reg mreview rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1 if code~="MR27", cluster(code)
reg jknow rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1 if code~="MR27", cluster(code)
reg communication rank tenure e2 e3 polexp  combat c2 c3 c4 private lnemp thickness warf appointee y1 if code~="MR27", cluster(code)
reg recommend rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1 if code~="MR27", cluster(code)
reg compare rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee y1 if code~="MR27", cluster(code)
more

*Models splitting respect and communication.
reg highrespect02 rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee
reg highregard04 rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee
reg communication02 rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee
reg communication04 rank tenure e2 e3 polexp combat c2 c3 c4 private lnemp thickness warf appointee

**Now difference equation.
generate year1=1
replace year1=2 if y2==1

tsset bureauid year1, yearly
*Appendix A.  The difference equations.
reg d.respect d.tenure d.edlevel d.polexp d.combat d.c2 d.c3 d.rank d.lnemp d.thickness
hettest
more
rvfplot
more
predict rstud21, rstudent
stem rstud21
summarize rstud21, detail
more
kdensity rstud21, normal
more
lvr2plot, mlabel(code)
reg d.respect d.tenure d.edlevel d.polexp d.combat d.c2 d.c3 d.rank d.lnemp d.thickness if rstud21<3&rstud21>-3

reg d.motivation d.tenure d.edlevel d.polexp d.combat d.c2 d.c3 d.rank d.lnemp d.thickness
hettest
more
rvfplot
more
predict rstud22, rstudent
stem rstud22
summarize rstud22, detail
more
kdensity rstud22, normal
more
lvr2plot, mlabel(code)
reg d.motivation d.tenure d.edlevel d.polexp d.combat d.c2 d.c3 d.rank d.lnemp d.thickness if rstud22>-3&code~="AF0D"


reg d.mreview d.tenure d.edlevel d.polexp d.combat d.c2 d.c3 d.rank d.lnemp d.thickness
hettest
more
rvfplot
more
predict rstud25, rstudent
stem rstud25
summarize rstud25, detail
more
kdensity rstud25, normal
more
lvr2plot, mlabel(code)


reg d.jknow d.tenure d.edlevel d.polexp d.combat d.c2 d.c3 d.rank d.lnemp d.thickness
hettest
more
rvfplot
more
predict rstud23, rstudent
stem rstud23
summarize rstud23, detail
more
kdensity rstud23, normal
more
lvr2plot, mlabel(code)

reg d.communication d.tenure d.edlevel d.polexp d.combat d.c2 d.c3 d.rank d.lnemp d.thickness
hettest
more
rvfplot
more
predict rstud26, rstudent
stem rstud26
summarize rstud26, detail
more
kdensity rstud26, normal
more
lvr2plot, mlabel(code)
reg d.communication d.tenure d.edlevel d.polexp d.combat d.c2 d.c3 d.rank d.lnemp d.thickness if code~="AF0D"&code~="DD09"


reg d.recommend d.tenure d.edlevel d.polexp d.combat d.c2 d.c3 d.rank d.lnemp d.thickness
hettest
more
rvfplot
more
predict rstud27, rstudent
stem rstud27
summarize rstud27, detail
more
kdensity rstud27, normal
more
lvr2plot, mlabel(code)
reg d.recommend d.tenure d.edlevel d.polexp d.combat d.c2 d.c3 d.rank d.lnemp d.thickness if rstud27>-3&code~="AF0D"

reg d.compare d.tenure d.edlevel d.polexp d.combat d.c2 d.c3 d.rank d.lnemp d.thickness
hettest
more
rvfplot
more
predict rstud28, rstudent
stem rstud28
summarize rstud28, detail
more
kdensity rstud28, normal
more
lvr2plot, mlabel(code)


***************************************************************************************************************************
sort mgrid
by mgrid: egen case=seq()
by mgrid: egen avemp=mean(employment)
by mgrid: egen avlnemp=mean(lnemp)
by mgrid: egen avman=mean(managers)
by mgrid: egen avthick=mean(thickness)
by mgrid: egen avapp=mean(appointee)
by mgrid: egen avwar=mean(warf)
by mgrid: egen avten=mean(tenure)
by mgrid: egen aved=mean(edlevel)
by mgrid: egen avrank=mean(rank)
by mgrid: egen avbest=mean(best)
by mgrid: egen aveff=mean(effective)
by mgrid: egen avmot=mean(motivation)
by mgrid: egen avrec=mean(recommend)
by mgrid: egen avcomp=mean(compare)
by mgrid: egen avmrev=mean(mreview)
by mgrid: egen avjkn=mean(jknow)
by mgrid: egen avski=mean(skills)
by mgrid: egen avrespect=mean(respect)
by mgrid: egen avcomm=mean(communication)
by mgrid: egen avmilten=mean(miltenure)

drop if case~=1
sort mildept
*By Military Department
by mildept: summarize avemp avman avapp avwar avten aved combat c1 c2 c3 c4 c5 private avmilten political avrank avbest aveff avmot avrec avcomp avmrev avjkn avski avrespect avcomm milserv e1 e2 e3 ma ms mpa mba md jd milw milcon polappt
by mildept: summarize avemp avman avapp avwar avten aved combat c1 c2 c3 c4 c5 private avmilten political avrank avbest aveff avmot avrec avcomp avmrev avjkn avski avrespect avcomm milserv e1 e2 e3 ma ms mpa mba md jd milw milcon polappt if code~="MR27"

*Total
summarize avemp avman avapp avwar avten aved combat c1 c2 c3 c4 c5 private avmilten political avrank avbest aveff avmot avrec avcomp avmrev avjkn avski avrespect avcomm milserv e1 e2 e3 ma ms mpa mba md jd milw milcon polappt

*Services Only
summarize avemp avman avapp avwar avten aved combat c1 c2 c3 c4 c5 private avmilten political avrank avbest aveff avmot avrec avcomp avmrev avjkn avski avrespect avcomm milserv e1 e2 e3 ma ms mpa mba md jd milw milcon polappt if mildept~="DOD"

